API ReferenceBoard
Assigns User(s) to a Board.
POST
Assigns User(s) to a Board.
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
The new BoardUserAssign resource
- body
projectUserIds?array<>|nullboardLeaderActiveUserIds?array<>|Items
0 <= items <= 1boardId*stringFormat
uuidBoardUserAssign resource created
- response
id?stringFormat
uuidprojectUser?board?stringFormat
uuidrole?stringDefault
"none"Value in
"none""leader-active"curl -X POST 'https://app.icproject.com/api/instance/demo/project/assign-board-users' \ -H 'Content-Type: application/json' \ -d '{ "boardId": "a654038e-9287-48a2-acfd-90b8cfa8b1f4"}'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "projectUser": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "pictureLg": "string", "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "canLogIn": true, "phoneNumber": "string", "jobPositionName": "string", "hourlyRate": null, "isExternal": true, "decorator": "string" }, "board": "a98884d6-3c76-4114-ba9c-216527a5aac1", "role": "none"}